KParts::HistoryProvider Class Reference

`#include <historyprovider.h>`

Inherits QObject.

## Signals

void | cleared ()
void | updated (const QStringList &items)
void | inserted (const QString &item)

## Public Member Functions

| HistoryProvider (QObject *parent=0L, const char *name=0)
virtual | ~HistoryProvider ()
virtual bool | contains (const QString &item) const
virtual void | insert (const QString &item)
virtual void | remove (const QString &item)
virtual void | clear ()

## Static Public Member Functions

static HistoryProvider * | self ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Basic class to manage a history of "items".

This class is only meant for fast lookup, if an item is in the history or not.

May be subclassed to implement a persistent history for example. For usage with khtml, just create your provider and call the HistoryProvider constructor before you do any khtml stuff. That way, khtml, using the self()-method, will use your subclassed provider.

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg

Definition at line 41 of file historyprovider.h.

## Constructor & Destructor Documentation

HistoryProvider::HistoryProvider | ( | QObject * | parent = `0L`,
|  | const char * | name = `0`
| ) |  |

Creates a KHistoryProvider with an optional parent and name.

Definition at line 47 of file historyprovider.cpp.

HistoryProvider::~HistoryProvider | ( |  | ) |

virtual

Destroys the provider.

Definition at line 56 of file historyprovider.cpp.

## Member Function Documentation

void HistoryProvider::clear | ( |  | ) |

virtual

Clears the history.

The cleared() signal is emitted after clearing.

Definition at line 81 of file historyprovider.cpp.

void KParts::HistoryProvider::cleared | ( |  | ) |

signal

Emitted after the history has been cleared.

bool HistoryProvider::contains | ( | const QString & | item | ) | const

virtual

Returns
  true if `item` is present in the history.

Definition at line 64 of file historyprovider.cpp.

void HistoryProvider::insert | ( | const QString & | item | ) |

virtual

Inserts `item` into the history.

Definition at line 69 of file historyprovider.cpp.

void KParts::HistoryProvider::inserted | ( | const QString & | item | ) |

signal

Emitted after the item has been inserted.

void HistoryProvider::remove | ( | const QString & | item | ) |

virtual

Removes `item` from the history.

Definition at line 76 of file historyprovider.cpp.

void KParts::HistoryProvider::updated | ( | const QStringList & | items | ) |

signal

This signal is never emitted from this class, it is only meant as an interface for subclasses.

Emit this signal to notify others that the history has changed. Put those items that were added or removed from the history into `items`.

The documentation for this class was generated from the following files:

- historyprovider.h
- historyprovider.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys